## GcalEventWidget GcalEventWidget |

## Functions

GtkWidget * | gcal_event_widget_new ()
GcalEvent * | gcal_event_widget_get_event ()
GDateTime * | gcal_event_widget_get_date_start ()
void | gcal_event_widget_set_date_start ()
GDateTime * | gcal_event_widget_get_date_end ()
void | gcal_event_widget_set_date_end ()
void | gcal_event_widget_set_read_only ()
gboolean | gcal_event_widget_get_read_only ()
void | gcal_event_widget_set_has_reminders ()
gboolean | gcal_event_widget_get_has_reminders ()
GtkWidget * | gcal_event_widget_clone ()
gboolean | gcal_event_widget_equal ()
gint | gcal_event_widget_compare_by_length ()
gint | gcal_event_widget_compare_by_start_date ()

## Properties

GDateTime * | date-end | Read / Write
GDateTime * | date-start | Read / Write
GcalEvent * | event | Read / Write / Construct Only

## Signals

void | activate | Run Last

## Types and Values

#define | GCAL_TYPE_EVENT_WIDGET
| GcalEventWidget

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GcalEventWidget

## Implemented Interfaces

GcalEventWidget implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gcal_event_widget_new ()

    GtkWidget *
    gcal_event_widget_new (GcalEvent *event);

### gcal_event_widget_get_event ()

    GcalEvent *
    gcal_event_widget_get_event (GcalEventWidget *self);

Retrieves the `GcalEvent` this widget represents.

#### Parameters

self | a GcalEventWidget |

#### Returns

a GcalEvent.

[transfer none]

### gcal_event_widget_get_date_start ()

    GDateTime *
    gcal_event_widget_get_date_start (GcalEventWidget *self);

Retrieves the visible start date of this widget. This may differ from the event's start date.

#### Parameters

self | a GcalEventWidget |

#### Returns

a GDateTime.

[transfer none]

### gcal_event_widget_set_date_start ()

    void
    gcal_event_widget_set_date_start (GcalEventWidget *self,
                                      GDateTime *date_start);

Sets the visible start date of this widget. This may differ from the event's start date, but cannot be before it.

#### Parameters

self | a GcalEventWidget |
date_end | the start date of this widget |

### gcal_event_widget_get_date_end ()

    GDateTime *
    gcal_event_widget_get_date_end (GcalEventWidget *self);

Retrieves the visible end date of this widget. This may differ from the event's end date.

#### Parameters

self | a GcalEventWidget |

#### Returns

a GDateTime.

[transfer none]

### gcal_event_widget_set_date_end ()

    void
    gcal_event_widget_set_date_end (GcalEventWidget *self,
                                    GDateTime *date_end);

Sets the visible end date of this widget. This may differ from the event's end date, but cannot be after it.

#### Parameters

self | a GcalEventWidget |
date_end | the end date of this widget |

### gcal_event_widget_set_read_only ()

    void
    gcal_event_widget_set_read_only (GcalEventWidget *event,
                                     gboolean read_only);

### gcal_event_widget_get_read_only ()

    gboolean
    gcal_event_widget_get_read_only (GcalEventWidget *event);

### gcal_event_widget_set_has_reminders ()

    void
    gcal_event_widget_set_has_reminders (GcalEventWidget *event,
                                         gboolean has_reminders);

### gcal_event_widget_get_has_reminders ()

    gboolean
    gcal_event_widget_get_has_reminders (GcalEventWidget *event);

### gcal_event_widget_clone ()

    GtkWidget *
    gcal_event_widget_clone (GcalEventWidget *widget);

### gcal_event_widget_equal ()

    gboolean
    gcal_event_widget_equal (GcalEventWidget *widget1,
                             GcalEventWidget *widget2);

Check if two widget represent the same event.

#### Parameters

widget1 | an GcalEventWidget representing an event |
widget2 | an GcalEventWidget representing an event |

#### Returns

`TRUE` if both widget represent the same event, false otherwise

### gcal_event_widget_compare_by_length ()

    gint
    gcal_event_widget_compare_by_length (GcalEventWidget *widget1,
                                         GcalEventWidget *widget2);

Compare two widgets by the duration of the events they represent. From shortest to longest span.

#### Returns

negative value if a < b ; zero if a = b ; positive value if a > b

### gcal_event_widget_compare_by_start_date ()

    gint
    gcal_event_widget_compare_by_start_date
                                   (GcalEventWidget *widget1,
                                    GcalEventWidget *widget2);

## Types and Values

### GCAL_TYPE_EVENT_WIDGET

    #define GCAL_TYPE_EVENT_WIDGET                    (gcal_event_widget_get_type ())

### GcalEventWidget

    typedef struct _GcalEventWidget GcalEventWidget;

## Property Details

### The `“date-end”` property

      “date-end”                 GDateTime *

The end date of the widget.

Flags: Read / Write

### The `“date-start”` property

      “date-start”               GDateTime *

The start date of the widget.

Flags: Read / Write

### The `“event”` property

      “event”                    GcalEvent *

The event this widget represents.

Flags: Read / Write / Construct Only

## Signal Details

### The `“activate”` signal

    void
    user_function (GcalEventWidget *gcaleventwidget,
                   gpointer         user_data)

Flags: Run Last